View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000422Ecere SDKtarballpublic2010-06-27 05:042014-05-19 01:32
Reporterredj 
Assigned To 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000422: too many warnings when compiling sdk sources
Descriptionmany X warnings
other warnings
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000204)
redj (administrator)
2010-06-27 05:06

many warnings fixed

Added revision 12 to sdk/ear/cmd/ear.ec
Added revision 14 to sdk/ecere/src/gfx/drivers/NCursesDisplayDriver.ec
Added revision 30 to sdk/ecere/src/gfx/drivers/XDisplayDriver.ec
Added revision 41 to sdk/ecere/src/gui/GuiApplication.ec
Added revision 111 to sdk/ecere/src/gui/Window.ec
Added revision 14 to sdk/ecere/src/gui/drivers/NCursesInterface.ec
Added revision 42 to sdk/ecere/src/gui/drivers/XInterface.ec
Added revision 54 to sdk/ecere/src/sys/File.ec
Added revision 10 to sdk/ecere/src/sys/memory.ec
Added revision 32 to sdk/ecere/src/sys/Time.ec
Added revision 9 to sdk/ecere/src/sys/_System.c
Added revision 169 to sdk/ide/src/debugger/Debugger.ec
Added revision 18 to sdk/ide/src/debugger/process.ec
Added revision 55 to sdk/ide/src/dialogs/FindInFilesDialog.ec
Added revision 47 to sdk/ide/src/settings.ec
Added revision 82 to sdk/ide/src/ProjectSettings.ec
Added revision 42 to sdk/compiler/ecp/ecp.ec
Added revision 8 to sdk/compiler/bootstrap/ecp/bootstrap/ecp.c
Added revision 7 to sdk/compiler/bootstrap/ecere/bootstrap/File.c
Added revision 6 to sdk/compiler/bootstrap/ecere/bootstrap/CustomAVLTree.c
Added revision 8 to sdk/compiler/bootstrap/ecere/bootstrap/dataTypes.c
Added revision 6 to sdk/compiler/bootstrap/libec/bootstrap/loadSymbols.c
Added revision 9 to sdk/compiler/bootstrap/libec/bootstrap/pass15.c
(0001223)
jerome (administrator)
2014-04-30 09:33

This is no longer an issue, apart from generating better C code or skipping generating C code altogether (eC II).

- Issue History
Date Modified Username Field Change
2010-06-27 05:04 redj New Issue
2010-06-27 05:04 redj Status new => assigned
2010-06-27 05:04 redj Assigned To => redj
2010-06-27 05:06 redj Note Added: 0000204
2010-06-27 05:06 redj Status assigned => confirmed
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-25 18:39 redj Relationship added child of 0000429
2010-07-26 19:02 thexa4 Target Version 0.44d2 => 0.44 draft 2
2010-07-29 15:06 jerome Priority low => immediate
2010-12-04 23:20 jerome Priority immediate => urgent
2012-03-08 15:45 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:13 redj Relationship deleted child of 0000429
2012-03-29 07:54 redj Category => Ecere SDK Tarball
2012-03-29 07:54 redj Project @10@ => Ecere SDK
2013-04-24 20:31 jerome Assigned To redj =>
2014-04-30 09:33 jerome Note Added: 0001223
2014-04-30 09:33 jerome Status confirmed => resolved
2014-04-30 09:33 jerome Fixed in Version => 0.44.10 64
2014-04-30 09:33 jerome Target Version 0.45 Ginkakuji => 0.44.10 64
2014-05-18 23:09 jerome Resolution open => fixed
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker